summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorChris <ccbrown112@gmail.com>2017-10-12 08:35:19 -0700
committerChristopher Speller <crspeller@gmail.com>2017-10-12 08:35:19 -0700
commit785cc06f6ecfd9d10de58eaad8ed24ac3d24b828 (patch)
tree27a371cd2e392093a7ff10a6dfefbe0a5d85d219 /scripts
parent3461a7b20704464ee3c19a3dd31805e4c5c1fc4f (diff)
downloadchat-785cc06f6ecfd9d10de58eaad8ed24ac3d24b828.tar.gz
chat-785cc06f6ecfd9d10de58eaad8ed24ac3d24b828.tar.bz2
chat-785cc06f6ecfd9d10de58eaad8ed24ac3d24b828.zip
Make test execution not take quadratic compilation time (#7610)
* make test execution not take quadratic compilation time * add -p flag. we can only test one package at a time (for now) * cd to mattermost-server for enterprise * whoops * let's go ahead and make the coverage profiles ready for concurrent test
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/test-xprog.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/test-xprog.sh b/scripts/test-xprog.sh
new file mode 100755
index 000000000..899c95543
--- /dev/null
+++ b/scripts/test-xprog.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+set -e
+[[ $1 =~ (github.com.*)/_test ]] && \
+ echo Testing ${BASH_REMATCH[1]}
+coverprofile=`pwd`/cprofile.out
+if [[ $1 == *"/enterprise/"* ]]; then
+ cd "$(dirname "$(dirname "${BASH_SOURCE[0]}")")"
+fi
+"$@" -test.coverprofile "$coverprofile"